Subject: Re: What's cooking in git.git (Jan 2025, #05; Fri, 17)

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Jan 2025 12:30:08 -0800

Derrick Stolee <[email-masked]> writes:

> On 1/17/25 7:42 PM, Junio C Hamano wrote:
>
>> * ds/name-hash-tweaks (2024-12-20) 8 commits
>>   - pack-objects: add third name hash version
>>   - pack-objects: prevent name hash version change
>>   - test-tool: add helper for name-hash values
>>   - p5313: add size comparison test
>>   - pack-objects: add GIT_TEST_NAME_HASH_VERSION
>>   - repack: add --name-hash-version option
>>   - pack-objects: add --name-hash-version option
>>   - pack-objects: create new name-hash function version
>>   "git pack-objects" and its wrapper "git repack" learned an option
>>   to use an alternative path-hash function to improve delta-base
>>   selection to produce a packfile with deeper history than window
>>   size.
>>   Comments?
>>   source: <[email-masked]>
>
> I'll poke the thread, too, but this seems to be the most promising
> topic in the area of better delta compression. The latest version
> does not have any comments.
>
> The only decision point I think remains is whether or not to
> include the last patch (--name-hash-version=3) which I would be
> happy either way.

I am happy with the updated function that gives us better of both
worlds, without losing too much from the "renamed from other
directory" while making sure we do not lose too many bits in deeper
trees.

Thanks.